
QGIS Application - Bug report #11452

OSM Vector tool export different number of features compared to loading the same osm data with 

ogr

2014-10-20 05:51 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 19728

Description

Master (2.5)

refer attached osm file that was downloaded with the Vector OSM tool, then imported into spatialite with the same tool.

Open the file directly with the normal vector layer tool and compare the lines, points and multipolygons layers with the Points, Polylines

and Polygons layers generated by the "export topology to spatialite" tool.

In this case the OSM tool created subsets of lines and polygons and additional points.

I would imagine these two methods should produce the same, correct output. If one is correct, which one is it? Or am I missing

something....

History

#1 - 2014-10-20 07:53 AM - Giovanni Manghi

- Subject changed from OSM Vector tool export different to ogr provider output to OSM Vector tool export different number of features compared to 

loading the same osm data with ogr

- Affected QGIS version changed from 2.4.0 to master

#2 - 2014-10-21 01:58 AM - Jukka Rahkonen

GDAL OSM driver and the native QGIS OSM tools are different implementations. A well educated user might get the same result with both those tools at

least with points but perhaps still not with polylines and polygons. That's because implementations probably use different logic when they interpret if a

closed ring should go to lines or polygons.

I would say that this issue won't fix so that those two tools would ever yield similar results. The fix would rather be to document how the tools behave and

what are the differences between them. A quick start would be to point users to read carefully http://www.gdal.org/drv_osm.html and understand at least

the importance of the osmconf.ini file.

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2018-01-16 07:06 AM - Nyall Dawson

- Resolution set to wontfix

- Description updated

- Status changed from Open to Closed
http://www.gdal.org/drv_osm.html


OSM downloader has been removed with 3.0

Files

QGIS_workshop_data_UJ.osm 170 KB 2014-10-20 Gavin Fleming
